## wolf3d 1.6-4

=== Makefile ===
CONFIG ?= config.default
-include $(CONFIG)


BINARY    ?= wolf3d
PREFIX    ?= FINAL
MANPREFIX ?= $(PREFIX)

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 555 -s
INSTALL_MAN     ?= $(INSTALL) -m 444
INSTALL_DATA    ?= $(INSTALL) -m 444


SDL_CONFIG  ?= sdl-config
CFLAGS_SDL  ?= $(shell $(SDL_CONFIG) --cflags)
LDFLAGS_SDL ?= $(shell $(SDL_CONFIG) --libs)


CFLAGS += $(CFLAGS_SDL)

#CFLAGS += -Wall
#CFLAGS += -W
CFLAGS += -Wpointer-arith
CFLAGS += -Wreturn-type
CFLAGS += -Wwrite-strings
CFLAGS += -Wcast-align
CFLAGS += -O2 -pipe


CCFLAGS += $(CFLAGS)
CCFLAGS += -std=gnu99
CCFLAGS += -Werror-implicit-function-declaration
CCFLAGS += -Wimplicit-int
CCFLAGS += -Wsequence-point

CXXFLAGS += $(CFLAGS)

LDFLAGS += $(LDFLAGS_SDL)
LDFLAGS += -lSDL_mixer
LDFLAGS += -lz -lSDL_image -lSDL_mixer 

SRCS :=
SRCS += fmopl.cpp
SRCS += id_ca.cpp
SRCS += id_in.cpp
SRCS += id_pm.cpp
SRCS += id_sd.cpp
SRCS += id_us_1.cpp
SRCS += id_vh.cpp
SRCS += id_vl.cpp
SRCS += signon.cpp
SRCS += wl_act1.cpp
SRCS += wl_act2.cpp
SRCS += wl_agent.cpp
SRCS += wl_atmos.cpp
SRCS += wl_cloudsky.cpp
SRCS += wl_debug.cpp
SRCS += wl_draw.cpp
SRCS += wl_floorceiling.cpp
SRCS += wl_game.cpp
SRCS += wl_inter.cpp
SRCS += wl_main.cpp
SRCS += wl_menu.cpp
SRCS += wl_parallax.cpp
SRCS += wl_play.cpp
SRCS += wl_state.cpp
SRCS += wl_text.cpp

DEPS = $(filter %.d, $(SRCS:.c=.d) $(SRCS:.cpp=.d))
OBJS = $(filter %.o, $(SRCS:.c=.o) $(SRCS:.cpp=.o))

.SUFFIXES:
.SUFFIXES: .c .cpp .d .o

Q ?= @

all: $(BINARY)

ifndef NO_DEPS
depend: $(DEPS)

ifeq ($(findstring $(MAKECMDGOALS), clean depend Data),)
-include $(DEPS)
endif
endif

$(BINARY): $(OBJS)
	@echo '===> LD $@'
	$(Q)$(CXX) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@

.c.o:
	@echo '===> CC $<'
	$(Q)$(CC) $(CCFLAGS) -c $< -o $@

.cpp.o:
	@echo '===> CXX $<'
	$(Q)$(CXX) $(CXXFLAGS) -c $< -o $@

.c.d:
	@echo '===> DEP $<'
	$(Q)$(CC) $(CCFLAGS) -MM $< | sed 's#^$(@F:%.d=%.o):#$@ $(@:%.d=%.o):#' > $@

.cpp.d:
	@echo '===> DEP $<'
	$(Q)$(CXX) $(CXXFLAGS) -MM $< | sed 's#^$(@F:%.d=%.o):#$@ $(@:%.d=%.o):#' > $@

clean distclean:
	@echo '===> CLEAN'
	$(Q)rm -fr $(DEPS) $(OBJS) $(BINARY)

install: $(BINARY)
	@echo '===> INSTALL'
	$(Q)$(INSTALL) -d $(PREFIX)/bin
	$(Q)$(INSTALL_PROGRAM) $(BINARY) $(PREFIX)/bin

## wolf3d 1.6-1

=== debian/changelog ===
wolf3d (1.6-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Wed, 21 Apr 2010 17:29:52 -0300

=== debian/control ===
Source: wolf3d
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libz-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev
Standards-Version: 3.7.2

Package: wolf3d
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wolfestein 3D.
 Classic FPS game ported to Maemo 5.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: Wolfestein 3D
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEFRQWINHvCjcAAA9NSURBVGjexZpZjxzXeYafc6q6qruqq/fpZRZu
 Q4rDsSRakkVLBiw7giMgkZOL/IAg97nKr8hPCJAr/YDkIkAQGHEQOGBACJRk
 UbBJUaaHHM4+Pb1Xd/VSy8nFnB63RpQs0ZZTQKF7prurvvd82/t+pwR/vEMC
 FpDWZ0b/bejPABQQATNgCgTABAiB+HluKv5IxpuADeSBJX2WAXcBBECijR8C
 HaAJnAADDSZ5nhv/oYcAUkABuAC8AFwDVjSIzDkAY6AF7AGPgM+AHe2F6f8H
 AKmNrAIbwPeF4FYh7127np+6WTlDqVNPCwHd2FH7gYwGg+BBMEvu6JAa6XOm
 w+xbByD1b+ehs6RXfwNh/vivb3rX/37Tp+7EZ0s/P0I1FWFC6hdH7s1/fF+k
 Ot3BnvZAU4fWtw7A0EZnAQ/IAcs6bDaWq+7l762lkXGXafiMJBOxEiB+XPW5
 vyaW3utS09cxnycnnwdAasHoVR06K8A6cE2omXk08ZCeOF3ML5okFDAOBU9G
 tgWTrK5aqT8FAKFvtqTj/UV9lvX/GkII9gPBL7pVvuscs+Kcxr6hTmMjBAwB
 D32b/WnagElae3Sx3H5rAIyFhL1mGMafv/nmm68Nh8Pk3r17MaAkgv54yhPL
 oRNd4EYUkE3a7Io1DCF4ydxFioQPRw1Som3oBbGeN4Tkc3w/rUvmcqVS+c7+
 /r64evWqoW8uhIBYQX865dPemF90MrRUgftdxfsnIR8Myzwdwl/dvEE6JVO6
 V8xByG8bwLzmO0C53++nGo0GjUbj9GIC8b31ohAK9f3lJS7ns0yimM+GME5i
 YqX47UhxClKpy9Ws6dqGo0PIXOgX36oHTL1aGSGECIKA6fS0/ygFiYK1QkYM
 pyE362Uu5FxCmedqMce1osdUOmBarBWy4rXVCumUKfR1xZ8iiaU+U4suj6Lo
 9EMpcFMSA6H+fSsSwbjJ375aIJ8uoIAjP+BXhzMG/pK6+fJY9IIZwSxSuvar
 b9oDnhfAnLA551csSZT68ElX/eBaWf7ocoF7j/vcftqnmDZIyQghXF6p1/mb
 WzXhurb6r08PmEXJPDTlt12F5hUjBxSBohCn9gdBgBBCKqXihzt+tLGSs15p
 xNx8o0BzNMGSkvWlAtMwxrFNll3Fvd0jPn7SSxaKQlFfe85Wo69r1Nc13AMa
 uuN+F3htbW0tk0qlsCxLvfjii+Lhw4cJINdqjgzCmN1ewHZ/yJqXpZ5N8y+/
 fsJsFjOaxBz0h9x50pdRFEnNRifnjP5aYWX8nopj6zJX0V13Qxv/OrCaz+dN
 wzAol8vCsiwePHhApVo36nkoOpaYxTFDkactLT7pRShlYz4+pLpaVL88bDM2
 y7RarYxenHle2Qt2Kc1gk+cBkD7Hc14GbgFvAN8RQtiVSkW++uqrbGxsMJlM
 2NnZkZadxrNnIp9OqZqXEcMgIP1pE2e/S1CSXFrK0olCsTcIhHLqwnEcMZ1O
 C7PZbEWHUlbn1zy8Yw0gfpY3vgzAXJxc0FThFvBD4AemaW54nmfV63WplFKA
 UEoRRZHY29sTpmEIBETJVKx4Lqu5NMaKi3vRY92zSFIGv233ORgZeOUL5DxP
 lEol4bpuZjgcrsVxvKoXLq3tixYU2xdAGF9C1jy98i8BbwI/zmQyr1uWVVpa
 WhKWZYnTqpOITqfDcDikXC6zt7eHlIJpYjGOTPwoZhgqhkFMMIXBTPCoF9Il
 T6GxSdbNkM/nqdfrlMtlVa1WRSaTyQ4Gg7UoisraPqWFzjOlp/klcV/S7PJV
 4IeWZb1YqVTQVUfFcSxA4AdTquUCOwcHXN98GQEopbAMSSJSHI0MjgJwHRdD
 CoQAz8tTq9bI53NkMhmUUgghcBxHAGSzWeV5XmpnZ+fG/v5+UefFXIqGCx55
 JgBLh84asAncsm17s1qtEgSBGA6HSgghsl6OSk5xs2HhZ2r83Z+9xNHxFjEG
 btoinU6TJAlJkoCCyWRCkiRsbGxoYzM4joNt25jmqQlCCEzTZDwek81mRalU
 UoZhNHZ2dt7Saq0H+FqSRvNQMp7B89fmoSOlfKNSqWRGo5FIpVLKcRwhpUE4
 m/CDqxkKaZOPtnZot1tcz8PBMEIZNkIIPM+jWCxSKpWo1WpUq1VSqRSlUols
 NkutViOTyZydhmGQTqdxHEekUikA4Xkevu/nh8NhDLS1lp6X3GTRA4bO/poW
 5d8FXslkMnld55FSiiiKKJWKWEkbBXynUeIvblykO5zws0cnjEJIpSWFQgHP
 83Bdl0KhQBiGSCnJ5XJYlkU+n9fcSRHHMe12G4DZbEaz2cS27Tl4lSSJ+PnP
 f/5CFEVXgN8A+0B/3jOMhapTn4ty4EeGYWwkScJkMpHj8Zh0Oo3neQgVUrbH
 KASt0QTblLxxucrP7j/lH966wgfHCV7OI5NxKJVK8/JKpVIhnU6jKxaz2YxW
 q8VwOATg3r17GIZBo9GgXC7TarUYjUYik8mok5OTjO/7PeApcKwBzBY9kNZd
 dgN41TTNG6urq9I0TWXbtorjWDSbTTJOFqYtQtOgYknGUcx/Ptzn/SdNgjgi
 lzaoZRXDMEYEAbu7uwyHQ8Iw5OjoiFKpRKvVQghBLpej3W7jui5bW1ssLy/j
 ui4AmUyG9fV1Wq2WajabIp/Ps7+/39B0I6tzVQDqPIDrQogXG41Gyvd9bNsW
 vV6PSqXC22+/zeraRf7jX/+ZKDFQCN66UuO11SrbnQGzKKaRc3ihMOF/9kdM
 JIRRxO7uLrdu3eLSpUvcvn2bKIpIpVJcuXKFw8NDDg8P8TwPpRSDwYB8Po9t
 2yilyOVy4uDgAMuylG3b9el0mtWKcK7elFwIoQqwUq1Wq61WSxiGoaSUOI7D
 u+++i+u6PN56xM5RgOdKWsOQu0+b/NuvHzOchtxcqTCNEraaPdrtE/qDAVEU
 IaXk1q1buK7L1atXSafTvPPOO3zwwQc8fPgQ13XZ3Nw8S+zJZMJoNPpdozIM
 dVqkxJzGf047mwuvWaDo+z6bm5uUSiWhlCKfz9Pr9Tg4OKDVauG4HtsHAZWi
 RSwsnvZGHPoBvzpsYaQLXH7tR3Q/uc/h4SEHBwfkcjm2trY4OTlha2uLVCrF
 Rx99xNtvv817773H1atXSZKEKIpQSlEul3Ec56y0SinFwlQvXKAWnwMw5/kp
 /SM+/vhjXnrpJQ4PD3n06BGu66KUwssVaHUOcRyDwThCGopQCH6zL/jJT39C
 o15j5cIVfN+n2+1y79497ty5g+d5TCYTMpkMd+/e5e7du7iuSxAEhGFIPp+n
 Wq1imianDOW0f4zHYzUajUQcx7HuBcEia11sZDGQZLNZDg8PSafTDIdDRqMR
 SinG4zGz2YxczmMymdIbzzBTim53wM5RwDt/+VOm4zGtVptyuYzruuTzeS5f
 vky32+Wzzz6jVqudetFxqFarWJZ11h/mRs81RhzHSCk5Pj4WT58+jcIwvK17
 wUB7QnGO8U2EEBOlFIZhKMMwxHg8xvd9UqkUUkqEEERRxIULq1y79gK/vv+A
 J4dHCCkZ9nu0Ox3CKGIymVCr1c7CIpvN8vrrr2MYBpPJhGaziWEYWJZFGIYI
 IUilUnQ6HZaXl4miiCAIlJRS+L5PFEXbwBPgQHtheh5ACPhKqc54PJ66rmsH
 QaAsyxJSSuI4JggCMpkMcRwThiGlUpHPHj44bUhJwpPtbXL5/BkdGAwGVCoV
 isUipmkym82IogjDMMjlcnied7bKg8GAVCpFsVhkOBxiWRae54mtrS0VhqFI
 kuT8/PQLXGiq3bMfx3FPSlntdDrC8zyllBJCiLNWX6/XWVlZ4fDw8GwaAbC3
 t4dpmty4cQPXdWk2m/T7fUqlEuVyGdM0GQ6HNBoNptMp0+mUUqlEu92mWCwy
 Go0IwxDHceh2u9i2rU5OTsSDBw/6unk19eqPF5PYWHh1ATcMwxxwMUkSkc1m
 xZzzA5imqbLZrHj06BG3b99WSZJ8TtQPBgO63e5psnsezWaTo6MjRqMRURSR
 JAmWZXF8fHzGRE9OTpBSYhgG4/EYpRT9fp92uy0+/PBD1Wq1BsA94L7eUxg8
 C4BYqK9yOp2m4zheTafTWJYlMpkMlmXh+754+vSp2t/fZzabfWGGo5QiCAJa
 rda8ETEajfB9H6UU1WqV4+NjpJSEYUin02E6nTIajTg4OMC2be7fv49Sit3d
 XR4+fChSqdQgDMNf6o2Qw/MjeLEQSnP5eF2rsOvAhhCiqpSyXdd1p9OpqWdA
 8usMBHK53Fl4CCGo1WpUKhUsy8K2baSUnyubSZKglKLb7arHjx+Lg4MDXNfd
 9n3/PeC/gU91qKvzORBrZMfaPX1gG/hYKVUAcqPRqA5c0kInry/ylZO0wWDA
 YDDAtm2m0ym+79Pr9XBdF9u2cRyHdDpNLpcjDEN6vR79fp8gCMRoNFLZbDbx
 fX9PGz1cLJ/nASjN7vr6S31NW3Pz3NBs9YYG+Ipu688eZ2iyZhgGvV7vbHLn
 ui57e3tks1my2eyp4AGklERRRK/XI45jbNumXq+L7e3tjl71o0UG+lWScj5Q
 CnTGp/SZ1uGF3szY+CoA88aXyWQoFAp0Oh20XKTX6zEcDs9o9OcmCdorb731
 ljo5ORHb29v7wK6ODP/rAFjcCp0tDFzn7K+mVdFEe+dLj9lsdsZxhBAopRiN
 Rqyvr9Pr9c76wtzwfD7PxYsX2dzcVLZtizt37qCT9hjo6kWNv+locT4ZC7XR
 vnbl+PwXHcchCILfiWvLYjabnXkEwPd9yuUyly5dOtWwWu1ZlkW9Xsd1XcIw
 FO+//z7dbjc4p4PD5x0tntfMVa2bG7/b1BDqypUrwvd94jg+073ziYOU8qx0
 +r5POp1GSollWWf05OTk5KwnJEnC7u7uLEmST3X53NNAvrEHPrdDqpvIEfBY
 50EBUCsrK8KyLFzXRUrJ8vIypVIJ3/fxfZ/xeEwcx8RxTK1Ww3EckiQhCAJs
 +3QIYNs2a2trrK+vq3a7LT755BOj0+nMft/u/TfxgFig3bZ+rdfrdWtlZQXD
 OL3U0tISKysr5PN5crkchULhTNwvLy8jpTyjDfNqlMvlWFpaYnV1FcdxhOM4
 9Pt9c3d393/1bv7xl3lAfEMA2bn01JOLl/WsdP48xB/67IVaeBwhBP4J+FCD
 OHlWHpjf8OITXYWkfn8AfKQb23Nt0j3jHpEO1X0drsfnCdwf+rTKfJPP04Z7
 uk+Yf4QnYNTCLHQ+jet/1XMU/weiz+l7I7KSZAAAAABJRU5ErkJggg

## wolf3d 1.6-2

=== debian/changelog ===
wolf3d (1.6-2) unstable; urgency=low

  * Some changes

 -- CepiPerez <cepiperez@gmail.com>  Thu, 21 Apr 2010 09:22:35 -0300

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wolfestein 3D.
  Classic FPS game ported to Maemo 5.
+ Copy original game files (wl6 extension) to /opt/wolf3d to play the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: Wolfestein 3D
 XB-Maemo-Icon-26:

## wolf3d 1.6-3

=== debian/changelog ===
wolf3d (1.6-3) unstable; urgency=low

  * Changed data folder to MyDocs

 -- CepiPerez <cepiperez@gmail.com>  Wed, 22 Apr 2010 11:12:15 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wolfestein 3D.
  Classic FPS game ported to Maemo 5.
- Copy original game files (wl6 extension) to /opt/wolf3d to play the game.
+ Copy original game files (wl6 extension) to MyDocs/.wolf3d to play the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: Wolfestein 3D
 XB-Maemo-Icon-26:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/wolf3d.sgml > wolf3d.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/wolf3d.
	cp $(CURDIR)/wolf3d.sh $(CURDIR)/debian/wolf3d/usr/bin/wolf3d
	cp $(CURDIR)/wolf3d.desktop $(CURDIR)/debian/wolf3d/usr/share/applications/hildon/wolf3d.desktop
	cp $(CURDIR)/wolf3d-48.png $(CURDIR)/debian/wolf3d/usr/share/icons/hicolor/48x48/hildon/wolf3d.png
	cp $(CURDIR)/wolf3d-64.png $(CURDIR)/debian/wolf3d/usr/share/icons/hicolor/64x64/hildon/wolf3d.png
	cp $(CURDIR)/wolf3d $(CURDIR)/debian/wolf3d/opt/wolf3d/wolf3d

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wolf3d 1.6-4

=== debian/changelog ===
wolf3d (1.6-4) unstable; urgency=low

  * Data files folder now can be MyDocs/.wolf3d or MyDocs/wolf3d
  * Fixed keyboard support

 -- CepiPerez <cepiperez@gmail.com>  Sat, 24 Apr 2010 09:42:26 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wolfestein 3D.
  Classic FPS game ported to Maemo 5.
- Copy original game files (wl6 extension) to MyDocs/.wolf3d to play the game.
+ Copy original game files (wl6 extension) to MyDocs/.wolf3d or MyDocs/wolf3d to play the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: Wolfestein 3D
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -61,6 +61,8 @@
 	cp $(CURDIR)/wolf3d-48.png $(CURDIR)/debian/wolf3d/usr/share/icons/hicolor/48x48/hildon/wolf3d.png
 	cp $(CURDIR)/wolf3d-64.png $(CURDIR)/debian/wolf3d/usr/share/icons/hicolor/64x64/hildon/wolf3d.png
 	cp $(CURDIR)/wolf3d $(CURDIR)/debian/wolf3d/opt/wolf3d/wolf3d
+	cp $(CURDIR)/keyon $(CURDIR)/debian/wolf3d/opt/wolf3d/keyon
+	cp $(CURDIR)/keyoff $(CURDIR)/debian/wolf3d/opt/wolf3d/keyoff
 
 # Build architecture-independent files here.
 binary-indep: build install

## wolf3d 1.6-5

=== debian/changelog ===
wolf3d (1.6-5) unstable; urgency=low

  * Some fixes

 -- CepiPerez <cepiperez@gmail.com>  Tue, 4 Apr 2010 16:34:06 -0300
